## vtk6 6.3.0+dfsg2

=== Remote/CMakeLists.txt ===
# Functions to fetch remote modules.
include(vtkModuleRemote)

file(GLOB remotes "*.remote.cmake")
foreach(remote_module ${remotes})
  include(${remote_module})
endforeach()

=== Accelerators/Piston/CMakeLists.txt ===

if(VTK_LEGACY_REMOVE)
  message(STATUS
          "vtkAcceleratorsPiston can not be enabled as it has been "
          "marked for deprecation and legacy code has been disabled in this "
          "build.")
  return()
endif()

find_package(CUDA REQUIRED)
find_path(PISTON_INCLUDE
  PistonCodingStyle.xml
  "/Source/PISTON/github/PISTON"
  DOC "PISTON library's source directory")

set(Module_SRCS
  vtkDataSetToPiston.cxx
  vtkPistonAlgorithm.cxx
  vtkPistonDataObject.cxx
  vtkPistonContour.cxx
  vtkPistonMapper.cxx
  vtkPistonToDataSet.cxx
  vtkPistonScalarsColors.cxx
  vtkPistonSlice.cxx
  vtkPistonSort.cxx
  vtkPistonThreshold.cxx
  )

set( Module_CUDA_SRCS
  vtkPistonConverters.cu
  vtkPistonContour.cu
  vtkPistonMapper.cu
  vtkPistonSlice.cu
  vtkPistonSort.cu
  vtkPistonThreshold.cu
)

if(BUILD_SHARED_LIBS)
  set(GPGPU_BUILD_TYPE SHARED)
endif()
set(CUDA_ATTACH_VS_BUILD_RULE_TO_CUDA_FILE OFF) #otherwise C_SOURCES is empty in VS
vtk_module_impl() #chicken and egg, I need list of include dirs of the module for nvcc's use before vtk_module_library is called
include_directories(${${vtk-module}_DEPENDS_INCLUDE_DIRS} ${PISTON_INCLUDE} ${CUDA_INCLUDE_DIR})
cuda_compile(Module_CUDA_C_SRCS ${Module_CUDA_SRCS} ${GPGPU_BUILD_TYPE})

set_source_files_properties(
  ${Module_CUDA_C_SRCS}
  WRAP_EXCLUDE
  )

list(APPEND Module_SRCS ${Module_CUDA_C_SRCS})

vtk_module_library(vtkAcceleratorsPiston ${Module_SRCS})
vtk_module_link_libraries(vtkAcceleratorsPiston LINK_PRIVATE ${CUDA_LIBRARIES})
if(APPLE)
  vtk_module_link_libraries(vtkAcceleratorsPiston LINK_PRIVATE /usr/local/cuda/lib/libtlshook.dylib)
endif()

=== Common/Core/CMakeLists.txt ===
# Core configuration options.
if("${CMAKE_SIZEOF_VOID_P}" GREATER 4)
 set(VTK_USE_64BIT_IDS_DEFAULT ON)
else()
 set(VTK_USE_64BIT_IDS_DEFAULT OFF)
endif()

option(VTK_USE_64BIT_IDS "Build VTK with 64 bit ids"
  ${VTK_USE_64BIT_IDS_DEFAULT})

option(VTK_DEBUG_LEAKS "Build leak checking support into VTK." OFF)

# This option determines the behavior of the New methods of vtkObject derived
# classes. If this option is off then only classes specifically using the
# vtkObjectFactoryNewMacro and vtkAbstractObjectFactoryNewMacro will allow for
# overrides. If the method is on then vtkStandardNewMacro will use the
# vtkObjectFactoryNewMacro's implementation body.
option(VTK_ALL_NEW_OBJECT_FACTORY
  "Build all vtkObject derived classes with object factory new methods." OFF)

mark_as_advanced(VTK_DEBUG_LEAKS VTK_USE_64BIT_IDS VTK_ALL_NEW_OBJECT_FACTORY)

set(vtkCommonCore_EXPORT_OPTIONS
  VTK_DEBUG_LEAKS
  VTK_USE_64BIT_IDS
  VTK_ALL_NEW_OBJECT_FACTORY
  )

# Choose which multi-threaded parallelism library to use
set(VTK_SMP_IMPLEMENTATION_TYPE_DOC_STRING "Which multi-threaded parallelism implementation to use. Options are Sequential, Simple, Kaapi, OpenMP or TBB")

set(VTK_SMP_IMPLEMENTATION_TYPE "Sequential" CACHE STRING ${VTK_SMP_IMPLEMENTATION_TYPE_DOC_STRING})

set_property(CACHE VTK_SMP_IMPLEMENTATION_TYPE PROPERTY STRINGS Sequential Simple Kaapi OpenMP TBB)

if( NOT ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "Kaapi" OR
         "${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "OpenMP" OR
         "${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "TBB" OR
         "${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "Simple") )
  set(VTK_SMP_IMPLEMENTATION_TYPE "Sequential" CACHE STRING ${VTK_SMP_IMPLEMENTATION_TYPE_DOC_STRING} FORCE)
endif()

set(VTK_SMP_SOURCES "")
set(VTK_SMP_HEADERS "")
set(VTK_SMP_USE_DEFAULT_ATOMICS ON)

if ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "TBB")
  find_package(TBB REQUIRED)
  set(VTK_SMP_IMPLEMENTATION_LIBRARIES ${TBB_LIBRARIES})
  include_directories(${TBB_INCLUDE_DIRS})
  # This needs to be here because all modules that include vtkAtomic.h
  # need to include tbb/atomic.h
  list(APPEND vtkCommonCore_SYSTEM_INCLUDE_DIRS ${TBB_INCLUDE_DIRS})

  set(VTK_SMP_USE_DEFAULT_ATOMICS OFF)
  set(VTK_SMP_IMPLEMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/TBB")
  set(VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPTools.cxx)
  set(VTK_SMP_HEADERS_TO_CONFIG
    vtkAtomic.h vtkSMPToolsInternal.h vtkSMPThreadLocal.h)

elseif ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "OpenMP")
  find_package(OpenMP REQUIRED)
  add_definitions(${OpenMP_CXX_FLAGS})
  set(VTK_SMP_IMPLEMENTATION_LIBRARIES "${OpenMP_CXX_LIBRARIES}")

  set(VTK_SMP_IMPLEMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/OpenMP")
  set(VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPTools.cxx
    ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPThreadLocalImpl.cxx)
  set(VTK_SMP_HEADERS_TO_CONFIG
    vtkSMPToolsInternal.h vtkSMPThreadLocal.h vtkSMPThreadLocalImpl.h)

  if (OpenMP_CXX_SPEC_DATE AND NOT ${OpenMP_CXX_SPEC_DATE} LESS 201107)
    set(VTK_SMP_USE_DEFAULT_ATOMICS OFF)
    list(APPEND VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkAtomic.cxx)
    list(APPEND VTK_SMP_HEADERS_TO_CONFIG vtkAtomic.h)
  else()
    message(WARNING "Required OpenMP version (3.1) for atomics not detected. Using default atomics implementation.")
  endif()

elseif ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "Kaapi")
  find_package(XKaapi REQUIRED)
  include_directories(${XKAAPI_INCLUDE_DIRS})
  set(VTK_SMP_IMPLEMENTATION_LIBRARIES ${XKAAPI_LIBRARIES})
  list(APPEND vtkCommonCore_SYSTEM_INCLUDE_DIRS ${XKAAPI_INCLUDE_DIRS})

  set(VTK_SMP_IMPLEMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/Kaapi")
  set(VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPTools.cxx)
  set(VTK_SMP_HEADERS_TO_CONFIG vtkSMPToolsInternal.h vtkSMPThreadLocal.h)

elseif ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "Simple")
  set(VTK_SMP_IMPLEMENTATION_LIBRARIES)

  set(VTK_SMP_IMPLEMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/Simple")
  set(VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPTools.cxx)
  set(VTK_SMP_HEADERS_TO_CONFIG vtkSMPToolsInternal.h vtkSMPThreadLocal.h)

  message(WARNING "The Simple backend for SMP operations is an experimental backend that is mainly used for debugging currently. We recommend that you use either the TBB or the Kaapi backend for production work. Use the Sequential backend if you would like to turn off any SMP parallelism.")

elseif ("${VTK_SMP_IMPLEMENTATION_TYPE}" STREQUAL "Sequential")
  set(VTK_SMP_IMPLEMENTATION_LIBRARIES)
  set(VTK_SMP_IMPLEMENTATION_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/Sequential")
  set(VTK_SMP_SOURCES ${VTK_SMP_IMPLEMENTATION_DIR}/vtkSMPTools.cxx)
  set(VTK_SMP_HEADERS_TO_CONFIG vtkSMPToolsInternal.h vtkSMPThreadLocal.h)
endif()

if (${VTK_SMP_USE_DEFAULT_ATOMICS})
  set(VTK_ATOMICS_DEFAULT_IMPL_DIR "${CMAKE_CURRENT_SOURCE_DIR}/SMP/Sequential")
  list(APPEND VTK_SMP_SOURCES ${VTK_ATOMICS_DEFAULT_IMPL_DIR}/vtkAtomic.cxx)
  configure_file(${VTK_ATOMICS_DEFAULT_IMPL_DIR}/vtkAtomic.h.in
    ${CMAKE_CURRENT_BINARY_DIR}/vtkAtomic.h COPYONLY)
  list(APPEND VTK_SMP_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/vtkAtomic.h)
endif()

foreach (HDR_FILE ${VTK_SMP_HEADERS_TO_CONFIG})
  configure_file(${VTK_SMP_IMPLEMENTATION_DIR}/${HDR_FILE}.in
    ${CMAKE_CURRENT_BINARY_DIR}/${HDR_FILE} COPYONLY)
  list(APPEND VTK_SMP_HEADERS ${CMAKE_CURRENT_BINARY_DIR}/${HDR_FILE})
endforeach()

list(APPEND VTK_SMP_HEADERS vtkSMPTools.h vtkSMPThreadLocalObject.h)

#-----------------------------------------------------------------------------

include_directories(${VTK_SOURCE_DIR}/ThirdParty/utf8/source)

SET(Module_SRCS
  vtkAbstractArray.cxx
  vtkAnimationCue.cxx
  vtkAngularPeriodicDataArray.txx
  vtkArrayCoordinates.cxx
  vtkArray.cxx
  vtkArrayExtents.cxx
  vtkArrayExtentsList.cxx
  vtkArrayIterator.cxx
  vtkArrayRange.cxx
  vtkArraySort.cxx
  vtkArrayWeights.cxx
  vtkBitArray.cxx
  vtkBitArrayIterator.cxx
  vtkBoxMuellerRandomSequence.cxx
  vtkBreakPoint.cxx
  vtkByteSwap.cxx
  vtkCallbackCommand.cxx
  vtkCharArray.cxx
  vtkCollection.cxx
  vtkCollectionIterator.cxx
  vtkCommand.cxx
  vtkCommonInformationKeyManager.cxx
  vtkConditionVariable.cxx
  vtkCriticalSection.cxx
  vtkDataArrayCollection.cxx
  vtkDataArrayCollectionIterator.cxx
  vtkDataArray.cxx
  vtkDataArraySelection.cxx
  vtkDebugLeaks.cxx
  vtkDebugLeaksManager.cxx
  vtkDoubleArray.cxx
  vtkDynamicLoader.cxx
  vtkEventForwarderCommand.cxx
  vtkFileOutputWindow.cxx
  vtkFloatArray.cxx
  vtkFloatingPointExceptions.cxx
  vtkGarbageCollector.cxx
  vtkGarbageCollectorManager.cxx
  vtkGaussianRandomSequence.cxx
  vtkIdListCollection.cxx
  vtkIdList.cxx
  vtkIdTypeArray.cxx
  vtkIndent.cxx
  vtkInformation.cxx
  vtkInformationDataObjectKey.cxx
  vtkInformationDoubleKey.cxx
  vtkInformationDoubleVectorKey.cxx
  vtkInformationIdTypeKey.cxx
  vtkInformationInformationKey.cxx
  vtkInformationInformationVectorKey.cxx
  vtkInformationIntegerKey.cxx
  vtkInformationIntegerPointerKey.cxx
  vtkInformationIntegerVectorKey.cxx
  vtkInformationIterator.cxx
  vtkInformationKey.cxx
  vtkInformationKeyVectorKey.cxx
  vtkInformationObjectBaseKey.cxx
  vtkInformationObjectBaseVectorKey.cxx
  vtkInformationRequestKey.cxx
  vtkInformationStringKey.cxx
  vtkInformationStringVectorKey.cxx
  vtkInformationUnsignedLongKey.cxx
  vtkInformationVariantKey.cxx
  vtkInformationVariantVectorKey.cxx
  vtkInformationVector.cxx
  vtkInstantiator.cxx
  vtkIntArray.cxx
  vtkIOStream.cxx
  vtkLargeInteger.cxx
  vtkLongArray.cxx
  vtkLookupTable.cxx
  vtkMappedDataArray.txx
  vtkMath.cxx
  vtkMinimalStandardRandomSequence.cxx
  vtkMultiThreader.cxx
  vtkMutexLock.cxx
  vtkObjectBase.cxx
  vtkObject.cxx
  vtkObjectFactoryCollection.cxx
  vtkObjectFactory.cxx
  vtkOldStyleCallbackCommand.cxx
  vtkOStreamWrapper.cxx
  vtkOStrStreamWrapper.cxx
  vtkOutputWindow.cxx
  vtkOverrideInformationCollection.cxx
  vtkOverrideInformation.cxx
  vtkPeriodicDataArray.txx
  vtkPoints2D.cxx
  vtkPoints.cxx
  vtkPriorityQueue.cxx
  vtkRandomSequence.cxx
  vtkReferenceCount.cxx
  vtkScalarsToColors.cxx
  vtkShortArray.cxx
  vtkSignedCharArray.cxx
  vtkSimpleCriticalSection.cxx
  vtkSmartPointerBase.cxx
  vtkSortDataArray.cxx
  vtkStdString.cxx
  vtkStringArray.cxx
  vtkTimePointUtility.cxx
  vtkTimeStamp.cxx
  vtkTypedDataArray.txx
  vtkUnicodeStringArray.cxx
  vtkUnicodeString.cxx
  vtkUnsignedCharArray.cxx
  vtkUnsignedIntArray.cxx
  vtkUnsignedLongArray.cxx
  vtkUnsignedShortArray.cxx
  vtkVariantArray.cxx
  vtkVariant.cxx
  vtkVersion.cxx
  vtkVoidArray.cxx
  vtkWeakPointerBase.cxx
  vtkWindow.cxx
  vtkXMLFileOutputWindow.cxx
  vtkDataArrayTemplate.txx
  vtkDataArrayTemplateHelper.cxx
  vtkDenseArray.txx
  vtkSparseArray.txx
  vtkTypedArray.txx
  vtkTypeTemplate.h
  vtkType.h
  vtkSystemIncludes.h
  ${VTK_SMP_SOURCES}
  ${VTK_SMP_HEADERS}
  ${CMAKE_CURRENT_BINARY_DIR}/vtkConfigure.h
  ${CMAKE_CURRENT_BINARY_DIR}/vtkMathConfigure.h
  ${CMAKE_CURRENT_BINARY_DIR}/vtkVersionMacros.h
  )

set(${vtk-module}_HDRS
  vtkABI.h
  vtkAngularPeriodicDataArray.h
  vtkArrayInterpolate.h
  vtkArrayInterpolate.txx
  vtkArrayIteratorIncludes.h
  vtkArrayIteratorTemplate.h
  vtkArrayIteratorTemplate.txx
  vtkArrayIteratorTemplateImplicit.txx
  vtkArrayPrint.h
  vtkArrayPrint.txx
  vtkAtomicTypeConcepts.h
  vtkAtomicTypes.h
  vtkAutoInit.h
  vtkDataArrayIteratorMacro.h
  vtkDataArrayTemplateImplicit.txx
  vtkIOStreamFwd.h
  vtkInformationInternals.h
  vtkMappedDataArray.h
  vtkMathUtilities.h
  vtkNew.h
  vtkPeriodicDataArray.h
  vtkSetGet.h
  vtkSmartPointer.h
  vtkTemplateAliasMacro.h
  vtkTypeTraits.h
  vtkTypedDataArray.h
  vtkTypedDataArrayIterator.h
  vtkVariantCast.h
  vtkVariantCreate.h
  vtkVariantExtract.h
  vtkVariantInlineOperators.h
  vtkWeakPointer.h
  vtkWin32Header.h
  vtkWindows.h
  ${CMAKE_CURRENT_BINARY_DIR}/vtkToolkits.h
  )

if(vtkCommonDataModel_ENABLED)
  include_directories(${VTK_BINARY_DIR}/Common/DataModel)
  set_property(SOURCE vtkInformationDataObjectKey.cxx
    PROPERTY COMPILE_DEFINITIONS vtkCommonDataModel_ENABLED)
endif()

# __int64 seems to be platform specific, turning on if
if(HAVE_VTK_SIZEOF__INT64)
  list(APPEND Module_SRCS
    vtkUnsigned__Int64Array.cxx
    vtk__Int64Array.cxx
    )
endif()

if(WIN32)
  # TODO: VTK_USE_X was once tested here but is now in another module
  list(APPEND Module_SRCS
    vtkWin32OutputWindow.cxx
    vtkWin32OutputWindowProcessEncoded.c
    vtkWin32ProcessOutputWindow.cxx
    )
  set_property(SOURCE vtkWin32OutputWindowProcessEncoded.c PROPERTY WRAP_EXCLUDE 1)
endif()

if(ANDROID)
  list(APPEND Module_SRCS
    vtkAndroidOutputWindow.cxx
    )
endif()

# Generate data for folding Unicode strings
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/vtkUnicodeString.cmake.in
  ${CMAKE_CURRENT_BINARY_DIR}/vtkUnicodeString.cmake @ONLY)

# Setup clean configuration of vtkConfigure.h and vtkToolkits.h.
macro(VTK_PREPARE_CMAKEDEFINE not invar outvar)
  if(${not} ${invar})
    set(${outvar} 1)
  else()
    set(${outvar})
  endif()
endmacro()

vtk_prepare_cmakedefine("" CMAKE_WORDS_BIGENDIAN VTK_WORDS_BIGENDIAN)
vtk_prepare_cmakedefine("" CMAKE_NO_ANSI_STRING_STREAM VTK_NO_ANSI_STRING_STREAM)
vtk_prepare_cmakedefine(NOT VTK_EXPLICIT_TEMPLATES
                  VTK_NO_EXPLICIT_TEMPLATE_INSTANTIATION)
vtk_prepare_cmakedefine(NOT VTK_COMPILER_HAS_FULL_SPECIALIZATION
                        VTK_NO_FULL_TEMPLATE_SPECIALIZATION)

# Provide version macros through vtkConfigure.h for compatibility.
if(VTK_LEGACY_REMOVE)
  set(VTK_CONFIG_LEGACY_VERSION "")
else()
  set(VTK_CONFIG_LEGACY_VERSION "#include \"vtkVersionMacros.h\" // removed by VTK_LEGACY_REMOVE")
endif()

# Check for atomic functions
include(CheckSymbolExists)
if (WIN32)
  check_symbol_exists(InterlockedAdd "windows.h" VTK_HAS_INTERLOCKEDADD)
endif()


configure_file(vtkVersionMacros.h.in vtkVersionMacros.h @ONLY)
configure_file(vtkConfigure.h.in vtkConfigure.h @ONLY)
configure_file(vtkToolkits.h.in vtkToolkits.h @ONLY)

add_custom_command(

=== Common/DataModel/CMakeLists.txt ===
set(Module_SRCS
  vtkAbstractCellLocator.cxx
  vtkAbstractPointLocator.cxx
  vtkAdjacentVertexIterator.cxx
  vtkAMRBox.cxx
  vtkAMRUtilities.cxx
  vtkAnimationScene.cxx
  vtkAnnotation.cxx
  vtkAnnotationLayers.cxx
  vtkArrayData.cxx
  vtkAttributesErrorMetric.cxx
  vtkBiQuadraticQuad.cxx
  vtkBiQuadraticQuadraticHexahedron.cxx
  vtkBiQuadraticQuadraticWedge.cxx
  vtkBiQuadraticTriangle.cxx
  vtkBox.cxx
  vtkBSPCuts.cxx
  vtkBSPIntersections.cxx
  vtkCell3D.cxx
  vtkCellArray.cxx
  vtkCell.cxx
  vtkCellData.cxx
  vtkCellIterator.cxx
  vtkCellLinks.cxx
  vtkCellLocator.cxx
  vtkCellTypes.cxx
  vtkCompositeDataSet.cxx
  vtkCompositeDataIterator.cxx
  vtkCone.cxx
  vtkConvexPointSet.cxx
  vtkCubicLine.cxx
  vtkCylinder.cxx
  vtkDataSetCellIterator.cxx
  vtkDataObjectCollection.cxx
  vtkDataObject.cxx
  vtkDataObjectTypes.cxx
  vtkDataObjectTree.cxx
  vtkDataObjectTreeIterator.cxx
  vtkDataSetAttributes.cxx
  vtkDataSetCollection.cxx
  vtkDataSet.cxx
  vtkDirectedAcyclicGraph.cxx
  vtkDirectedGraph.cxx
  vtkDistributedGraphHelper.cxx
  vtkEdgeListIterator.cxx
  vtkEdgeTable.cxx
  vtkEmptyCell.cxx
  vtkExtractStructuredGridHelper.cxx
  vtkFieldData.cxx
  vtkGenericAdaptorCell.cxx
  vtkGenericAttributeCollection.cxx
  vtkGenericAttribute.cxx
  vtkGenericCell.cxx
  vtkGenericCellIterator.cxx
  vtkGenericCellTessellator.cxx
  vtkGenericDataSet.cxx
  vtkGenericEdgeTable.cxx
  vtkGenericInterpolatedVelocityField.cxx
  vtkGenericPointIterator.cxx
  vtkGenericSubdivisionErrorMetric.cxx
  vtkGeometricErrorMetric.cxx
  vtkGraph.cxx
  vtkGraphEdge.cxx
  vtkGraphInternals.cxx
  vtkHexagonalPrism.cxx
  vtkHexahedron.cxx
  vtkHierarchicalBoxDataIterator.cxx
  vtkHierarchicalBoxDataSet.cxx
  vtkHyperOctreeCursor.cxx
  vtkHyperOctree.cxx
  vtkHyperOctreePointsGrabber.cxx
  vtkHyperTree.cxx
  vtkHyperTreeCursor.cxx
  vtkHyperTreeGrid.cxx
  vtkImageData.cxx
  vtkImageIterator.cxx
  vtkImplicitBoolean.cxx
  vtkImplicitDataSet.cxx
  vtkImplicitFunctionCollection.cxx
  vtkImplicitFunction.cxx
  vtkImplicitHalo.cxx
  vtkImplicitSelectionLoop.cxx
  vtkImplicitSum.cxx
  vtkImplicitVolume.cxx
  vtkImplicitWindowFunction.cxx
  vtkIncrementalOctreeNode.cxx
  vtkIncrementalOctreePointLocator.cxx
  vtkIncrementalPointLocator.cxx
  vtkInEdgeIterator.cxx
  vtkInformationQuadratureSchemeDefinitionVectorKey.cxx
  vtkIterativeClosestPointTransform.cxx
  vtkKdNode.cxx
  vtkKdTree.cxx
  vtkKdTreePointLocator.cxx
  vtkLine.cxx
  vtkLocator.cxx
  vtkMappedUnstructuredGrid.txx
  vtkMappedUnstructuredGridCellIterator.txx
  vtkMarchingSquaresLineCases.cxx
  vtkMarchingCubesTriangleCases.cxx
  vtkMeanValueCoordinatesInterpolator.cxx
  vtkMergePoints.cxx
  vtkMultiBlockDataSet.cxx
  vtkMultiPieceDataSet.cxx
  vtkMutableDirectedGraph.cxx
  vtkMutableUndirectedGraph.cxx
  vtkNonLinearCell.cxx
  vtkNonMergingPointLocator.cxx
  vtkOctreePointLocator.cxx
  vtkOctreePointLocatorNode.cxx
  vtkOrderedTriangulator.cxx
  vtkOutEdgeIterator.cxx
  vtkPath.cxx
  vtkPentagonalPrism.cxx
  vtkPerlinNoise.cxx
  vtkPiecewiseFunction.cxx
  vtkPixel.cxx
  vtkPixelExtent.cxx
  vtkPlaneCollection.cxx
  vtkPlane.cxx
  vtkPlanes.cxx
  vtkPlanesIntersection.cxx
  vtkPointData.cxx
  vtkPointLocator.cxx
  vtkPointSet.cxx
  vtkPointSetCellIterator.cxx
  vtkPointsProjectedHull.cxx
  vtkPolyDataCollection.cxx
  vtkPolyData.cxx
  vtkPolygon.cxx
  vtkPolyhedron.cxx
  vtkPolyLine.cxx
  vtkPolyPlane.cxx
  vtkPolyVertex.cxx
  vtkPyramid.cxx
  vtkQuad.cxx
  vtkQuadraticEdge.cxx
  vtkQuadraticHexahedron.cxx
  vtkQuadraticLinearQuad.cxx
  vtkQuadraticLinearWedge.cxx
  vtkQuadraticPolygon.cxx
  vtkQuadraticPyramid.cxx
  vtkQuadraticQuad.cxx
  vtkQuadraticTetra.cxx
  vtkQuadraticTriangle.cxx
  vtkQuadraticWedge.cxx
  vtkQuadratureSchemeDefinition.cxx
  vtkQuadric.cxx
  vtkRectilinearGrid.cxx
  vtkReebGraph.cxx
  vtkReebGraphSimplificationMetric.cxx
  vtkSelection.cxx
  vtkSelectionNode.cxx
  vtkSimpleCellTessellator.cxx
  vtkSmoothErrorMetric.cxx
  vtkSphere.cxx
  vtkSpline.cxx
  vtkStructuredData.cxx
  vtkStructuredExtent.cxx
  vtkStructuredGrid.cxx
  vtkStructuredPointsCollection.cxx
  vtkStructuredPoints.cxx
  vtkSuperquadric.cxx
  vtkTable.cxx
  vtkTensor.cxx
  vtkTetra.cxx
  vtkTreeBFSIterator.cxx
  vtkTree.cxx
  vtkTreeDFSIterator.cxx
  vtkTriangle.cxx
  vtkTriangleStrip.cxx
  vtkTriQuadraticHexahedron.cxx
  vtkUndirectedGraph.cxx
  vtkUniformGrid.cxx
  vtkUnstructuredGrid.cxx
  vtkUnstructuredGridBase.cxx
  vtkUnstructuredGridCellIterator.cxx
  vtkVertex.cxx
  vtkVertexListIterator.cxx
  vtkVoxel.cxx
  vtkWedge.cxx
  vtkXMLDataElement.cxx
  vtkTreeIterator.cxx
  vtkBoundingBox.cxx
  vtkAtom.cxx
  vtkBond.cxx
  vtkMolecule.cxx
  vtkAbstractElectronicData.cxx
  vtkCellType.h

  # Header only classes
  vtkDataArrayDispatcher.h
  vtkDispatcher.h
  vtkDispatcher_Private.h
  vtkDoubleDispatcher.h
  vtkVector.h
  vtkVectorOperators.h
  vtkColor.h
  vtkRect.h

  # New classes for AMR
  vtkNonOverlappingAMR.cxx
  vtkOverlappingAMR.cxx
  vtkAMRInformation.cxx
  vtkAMRDataInternals.cxx
  vtkUniformGridAMR.cxx
  vtkUniformGridAMRDataIterator.cxx
  )

set(${vtk-module}_HDRS
  vtkCellType.h
  vtkMappedUnstructuredGrid.h
  vtkMappedUnstructuredGridCellIterator.h
  )

set_source_files_properties(
  vtkAbstractCellLocator
  vtkAbstractPointLocator
  vtkCell
  vtkCell3D
  vtkCellIterator
  vtkCompositeDataIterator
  vtkCompositeDataSet
  vtkDataObjectTree
  vtkAbstractElectronicData
  vtkDataSet
  vtkDataSetGhostGenerator
  vtkDistributedGraphHelper
  vtkGenericAttribute
  vtkGenericAdaptorCell
  vtkGenericCellIterator
  vtkGenericCellTessellator
  vtkGenericDataSet
  vtkGenericPointIterator
  vtkGenericSubdivisionErrorMetric
  vtkGraph
  vtkHyperOctreeCursor
  vtkHyperOctreePointsGrabber
  vtkHyperTree
  vtkHyperTreeCursor
  vtkImplicitFunction
  vtkIncrementalPointLocator
  vtkInformationQuadratureSchemeDefinitionVectorKey
  vtkLocator
  vtkNonLinearCell
  vtkPointSet
  vtkSpline
  vtkStructuredData
  vtkTreeIterator
  vtkUnstructuredGridBase
  ABSTRACT
  )

set_source_files_properties(
  vtkAMRBox
  vtkAtom
  vtkBond
  vtkBoundingBox
  vtkCellType
  vtkDataArrayDispatcher
  vtkDispatcher_Private
  vtkDispatcher
  vtkDoubleDispatcher
  vtkMappedUnstructuredGrid.txx
  vtkMappedUnstructuredGridCellIterator.txx
  vtkMarchingSquaresLineCases
  vtkMarchingCubesTriangleCases
  vtkImageIterator
  vtkImageProgressIterator
  vtkPixelExtent.cxx
  vtkVector
  vtkColor
  vtkRect
  vtkVectorOperators
  vtkAMRDataInternals
  WRAP_EXCLUDE
  )

set_source_files_properties(
  vtkCellType.h
  vtkBoundingBox.cxx
  vtkColor.h
  vtkRect.h
  vtkVector.h
  PROPERTIES WRAP_SPECIAL 1
  )

vtk_module_library(vtkCommonDataModel ${Module_SRCS})

=== Common/ExecutionModel/CMakeLists.txt ===
SET(Module_SRCS
  vtkAlgorithm.cxx
  vtkAlgorithmOutput.cxx
  vtkAnnotationLayersAlgorithm.cxx
  vtkArrayDataAlgorithm.cxx
  vtkCachedStreamingDemandDrivenPipeline.cxx
  vtkCastToConcrete.cxx
  vtkCompositeDataPipeline.cxx
  vtkCompositeDataSetAlgorithm.cxx
  vtkDataObjectAlgorithm.cxx
  vtkDataSetAlgorithm.cxx
  vtkDemandDrivenPipeline.cxx
  vtkDirectedGraphAlgorithm.cxx
  vtkEnsembleSource.cxx
  vtkExecutive.cxx
  vtkExtentSplitter.cxx
  vtkExtentTranslator.cxx
  vtkFilteringInformationKeyManager.cxx
  vtkGraphAlgorithm.cxx
  vtkHierarchicalBoxDataSetAlgorithm.cxx
  vtkHyperOctreeAlgorithm.cxx
  vtkHyperTreeGridAlgorithm.cxx
  vtkImageAlgorithm.cxx
  vtkImageInPlaceFilter.cxx
  vtkImageProgressIterator.cxx
  vtkImageToStructuredGrid.cxx
  vtkImageToStructuredPoints.cxx
  vtkInformationDataObjectMetaDataKey.cxx
  vtkInformationExecutivePortKey.cxx
  vtkInformationExecutivePortVectorKey.cxx
  vtkInformationIntegerRequestKey.cxx
  vtkMultiBlockDataSetAlgorithm.cxx
  vtkMultiTimeStepAlgorithm.cxx
  vtkPassInputTypeAlgorithm.cxx
  vtkPiecewiseFunctionAlgorithm.cxx
  vtkPiecewiseFunctionShiftScale.cxx
  vtkPointSetAlgorithm.cxx
  vtkPolyDataAlgorithm.cxx
  vtkRectilinearGridAlgorithm.cxx
  vtkScalarTree.cxx
  vtkSimpleImageToImageFilter.cxx
  vtkSimpleScalarTree.cxx
  vtkStreamingDemandDrivenPipeline.cxx
  vtkStructuredGridAlgorithm.cxx
  vtkTableAlgorithm.cxx
  vtkSMPProgressObserver.cxx
  vtkThreadedCompositeDataPipeline.cxx
  vtkThreadedImageAlgorithm.cxx
  vtkTreeAlgorithm.cxx
  vtkTrivialProducer.cxx
  vtkUndirectedGraphAlgorithm.cxx
  vtkUnstructuredGridAlgorithm.cxx
  vtkUnstructuredGridBaseAlgorithm.cxx
  vtkProgressObserver.cxx
  vtkSelectionAlgorithm.cxx
  vtkExtentRCBPartitioner.cxx
  vtkUniformGridPartitioner.cxx
  # New AMR classes
  vtkUniformGridAMRAlgorithm.cxx
  vtkOverlappingAMRAlgorithm.cxx
  vtkNonOverlappingAMRAlgorithm.cxx
  )

set_source_files_properties(
  vtkExecutive
  vtkHyperOctreeAlgorithm
  vtkHyperTreeGridAlgorithm
  vtkImageAlgorithm
  vtkImageInPlaceFilter
  vtkInformationExecutivePortKey
  vtkInformationExecutivePortVectorKey
  vtkScalarTree
  vtkSimpleImageToImageFilter
  vtkThreadedImageAlgorithm
  ABSTRACT
  )

set_source_files_properties(
  vtkExecutionSchedulerManager
  vtkFilteringInformationKeyManager
  vtkImageProgressIterator
  vtkSMPProgressObserver
  WRAP_EXCLUDE
  )

vtk_module_library(vtkCommonExecutionModel ${Module_SRCS})

=== Common/Math/CMakeLists.txt ===
set(Module_SRCS
  vtkAmoebaMinimizer.cxx
  vtkFunctionSet.cxx
  vtkInitialValueProblemSolver.cxx
  vtkMatrix3x3.cxx
  vtkMatrix4x4.cxx
  vtkPolynomialSolversUnivariate.cxx
  vtkQuaternionInterpolator.cxx
  vtkRungeKutta2.cxx
  vtkRungeKutta4.cxx
  vtkRungeKutta45.cxx

  # Header only classes
  vtkQuaternion.h
  vtkTuple.h
  )

set_source_files_properties(
  vtkQuaternion
  vtkTuple
  WRAP_EXCLUDE
  )

set_source_files_properties(
  vtkQuaternion.h
  vtkTuple.h
  PROPERTIES WRAP_SPECIAL 1
  )

set(
  ${vtk-module}_HDRS
  vtkQuaternion.txx
  )

if(CMAKE_COMPILER_IS_GNUCXX)
  set_source_files_properties(vtkPolynomialSolversUnivariate.cxx
    PROPERTIES COMPILE_FLAGS -O0)
endif()

set_source_files_properties(
  vtkFunctionSet
  vtkInitialValueProblemSolver
  ABSTRACT
  )

vtk_module_library(vtkCommonMath ${Module_SRCS})

=== Domains/Chemistry/CMakeLists.txt ===
set(Module_SRCS
  vtkBlueObeliskData.cxx
  vtkBlueObeliskDataParser.cxx
  vtkCMLMoleculeReader.cxx
  vtkMoleculeAlgorithm.cxx
  vtkMoleculeMapper.cxx
  vtkMoleculeToAtomBallFilter.cxx
  vtkMoleculeToBondStickFilter.cxx
  vtkMoleculeToPolyDataFilter.cxx
  vtkPeriodicTable.cxx
  vtkProgrammableElectronicData.cxx
  vtkProteinRibbonFilter.cxx
  vtkSimpleBondPerceiver.cxx
  )

set_source_files_properties(
  vtkMoleculeToPolyDataFilter.cxx
  ABSTRACT
  )

set_source_files_properties(
  vtkBlueObeliskData.cxx
  vtkBlueObeliskDataParser.cxx
  WRAP_EXCLUDE
  )

# Generate configured header file
configure_file("${CMAKE_CURRENT_SOURCE_DIR}/vtkChemistryConfigure.h.in"
  "${CMAKE_CURRENT_BINARY_DIR}/vtkChemistryConfigure.h")

set(${vtk-module}_NO_HeaderTest 1) # TODO: Fix headers and enable test.
vtk_module_library(${vtk-module} ${Module_SRCS})

install(FILES elements.xml COPYING
  DESTINATION ${VTK_INSTALL_DATA_DIR}/vtkDomainsChemistry)

=== Domains/ChemistryOpenGL2/CMakeLists.txt ===
if(TARGET vtkRenderingOpenGL)
  message(FATAL_ERROR "vtkChemistyOpenGL2 cannot be built with vtkRenderingOpenGL, please disable one of them.")
endif()

include(vtkObjectFactory)

set(Module_SRCS
  vtkOpenGLMoleculeMapper.cxx
  vtkOpenGLSphereMapper.cxx
  vtkOpenGLStickMapper.cxx
  )

set(shader_files
  glsl/vtkSphereMapperVS.glsl
  glsl/vtkStickMapperVS.glsl
  )

unset(shader_h_files)
foreach(file ${shader_files})
  get_filename_component(file_we ${file} NAME_WE)
  set(src  ${CMAKE_CURRENT_SOURCE_DIR}/${file})
  set(res  ${CMAKE_CURRENT_BINARY_DIR}/${file_we}.cxx)
  set(resh ${CMAKE_CURRENT_BINARY_DIR}/${file_we}.h)
  list(APPEND shader_h_files ${resh})
  add_custom_command(
    OUTPUT ${res} ${resh}
    DEPENDS ${src} vtkEncodeString
    COMMAND vtkEncodeString
    ARGS ${res} ${src} ${file_we}
      --build-header VTKDOMAINSCHEMISTRYOPENGL2_EXPORT
      vtkDomainsChemistryOpenGL2Module.h
    )
  list(APPEND Module_SRCS ${res})
  set_source_files_properties(${file_we} WRAP_EXCLUDE)
endforeach()

# Now for the object factory.
set(opengl_overrides
  MoleculeMapper
  )

foreach(_override ${opengl_overrides})
  vtk_add_override(vtk${_override} vtkOpenGL${_override})
endforeach()
vtk_object_factory_configure("${vtk_module_overrides}")

list(APPEND Module_SRCS
  ${CMAKE_CURRENT_BINARY_DIR}/${vtk-module}ObjectFactory.cxx)
set_source_files_properties(${vtk-module}ObjectFactory.cxx WRAP_EXCLUDE)

vtk_module_library(vtkDomainsChemistryOpenGL2 ${Module_SRCS})

=== Filters/Core/CMakeLists.txt ===
set(Module_SRCS
  vtkAppendFilter.cxx
  vtkAppendPolyData.cxx
  vtkAppendSelection.cxx
  vtkArrayCalculator.cxx
  vtkAssignAttribute.cxx
  vtkAttributeDataToFieldDataFilter.cxx
  vtkCellDataToPointData.cxx
  vtkCleanPolyData.cxx
  vtkClipPolyData.cxx
  vtkCompositeDataProbeFilter.cxx
  vtkConnectivityFilter.cxx
  vtkContourFilter.cxx
  vtkContourGrid.cxx
  vtkContourHelper.cxx
  vtkDataObjectGenerator.cxx
  vtkDataObjectToDataSetFilter.cxx
  vtkDataSetEdgeSubdivisionCriterion.cxx
  vtkDataSetToDataObjectFilter.cxx
  vtkDecimatePolylineFilter.cxx
  vtkDecimatePro.cxx
  vtkDelaunay2D.cxx
  vtkDelaunay3D.cxx
  vtkElevationFilter.cxx
  vtkExecutionTimer.cxx
  vtkFeatureEdges.cxx
  vtkFieldDataToAttributeDataFilter.cxx
  vtkGlyph2D.cxx
  vtkGlyph3D.cxx
  vtkHedgeHog.cxx
  vtkHull.cxx
  vtkIdFilter.cxx
  vtkMarchingCubes.cxx
  vtkMarchingSquares.cxx
  vtkMaskFields.cxx
  vtkMaskPoints.cxx
  vtkMaskPolyData.cxx
  vtkMassProperties.cxx
  vtkMergeDataObjectFilter.cxx
  vtkMergeFields.cxx
  vtkMergeFilter.cxx
  vtkPointDataToCellData.cxx
  vtkPolyDataConnectivityFilter.cxx
  vtkPolyDataNormals.cxx
  vtkProbeFilter.cxx
  vtkQuadricClustering.cxx
  vtkQuadricDecimation.cxx
  vtkRearrangeFields.cxx
  vtkReverseSense.cxx
  vtkSimpleElevationFilter.cxx
  vtkSmoothPolyDataFilter.cxx
  vtkStripper.cxx
  vtkStructuredGridOutlineFilter.cxx
  vtkSynchronizedTemplates2D.cxx
  vtkSynchronizedTemplates3D.cxx
  vtkSynchronizedTemplatesCutter3D.cxx
  vtkTensorGlyph.cxx
  vtkThreshold.cxx
  vtkThresholdPoints.cxx
  vtkTransposeTable.cxx
  vtkTriangleFilter.cxx
  vtkTubeFilter.cxx
  vtkVectorDot.cxx
  vtkVectorNorm.cxx
  vtkWindowedSincPolyDataFilter.cxx

  vtkCutter.cxx
  vtkCompositeCutter.cxx
  vtkGridSynchronizedTemplates3D.cxx
  vtkRectilinearSynchronizedTemplates.cxx
  vtkEdgeSubdivisionCriterion.cxx
  vtkStreamingTessellator.cxx
  vtkImplicitPolyDataDistance.cxx
  vtkStreamerBase.cxx
  vtkCenterOfMass.cxx

  vtkImageAppend.cxx
  vtkStructuredGridAppend.cxx
  vtkAppendCompositeDataLeaves.cxx
  )

set_source_files_properties(
  vtkEdgeSubdivisionCriterion
  vtkStreamerBase
  ABSTRACT
  )

set_source_files_properties(
  vtkContourHelper
  WRAP_EXCLUDE
  )

vtk_module_library(vtkFiltersCore ${Module_SRCS})

=== Filters/FlowPaths/CMakeLists.txt ===
set(Module_SRCS
  vtkAbstractInterpolatedVelocityField.cxx
  vtkAMRInterpolatedVelocityField.cxx
  vtkCompositeInterpolatedVelocityField.cxx
  vtkDashedStreamLine.cxx
  vtkInterpolatedVelocityField.cxx
  vtkStreamer.cxx
  vtkStreamLine.cxx
  vtkStreamPoints.cxx
  vtkStreamTracer.cxx
  vtkModifiedBSPTree.cxx
  vtkCellLocatorInterpolatedVelocityField.cxx
  vtkTemporalStreamTracer.cxx
  vtkParticleTracerBase.cxx
  vtkParticleTracer.cxx
  vtkStreaklineFilter.cxx
  vtkParticlePathFilter.cxx
  vtkTemporalInterpolatedVelocityField.cxx
  vtkCachingInterpolatedVelocityField.cxx
  )

set_source_files_properties(
  vtkAbstractInterpolatedVelocityField
  vtkCompositeInterpolatedVelocityField.cxx
  vtkStreamer
  vtkParticleTracerBase
  ABSTRACT
  )

vtk_module_library(vtkFiltersFlowPaths ${Module_SRCS})

=== Filters/General/CMakeLists.txt ===
set(Module_SRCS
  vtkAnnotationLink.cxx
  vtkAppendPoints.cxx
  vtkApproximatingSubdivisionFilter.cxx
  vtkAreaContourSpectrumFilter.cxx
  vtkAxes.cxx
  vtkBlankStructuredGrid.cxx
  vtkBlankStructuredGridWithImage.cxx
  vtkBlockIdScalars.cxx
  vtkBoxClipDataSet.cxx
  vtkBrownianPoints.cxx
  vtkCellCenters.cxx
  vtkCellDerivatives.cxx
  vtkClipClosedSurface.cxx
  vtkClipConvexPolyData.cxx
  vtkClipDataSet.cxx
  vtkClipVolume.cxx
  vtkCoincidentPoints.cxx
  vtkContourTriangulator.cxx
  vtkCursor2D.cxx
  vtkCursor3D.cxx
  vtkCurvatures.cxx
  vtkDataSetGradient.cxx
  vtkDataSetGradientPrecompute.cxx
  vtkDataSetTriangleFilter.cxx
  vtkDeformPointSet.cxx
  vtkDensifyPolyData.cxx
  vtkDicer.cxx
  vtkDiscreteMarchingCubes.cxx
  vtkEdgePoints.cxx
  vtkGradientFilter.cxx
  vtkGraphLayoutFilter.cxx
  vtkGraphToPoints.cxx
  vtkHierarchicalDataLevelFilter.cxx
  vtkHyperStreamline.cxx
  vtkIconGlyphFilter.cxx
  vtkImageMarchingCubes.cxx
  vtkInterpolateDataSetAttributes.cxx
  vtkInterpolatingSubdivisionFilter.cxx
  vtkLevelIdScalars.cxx
  vtkLinkEdgels.cxx
  vtkMergeCells.cxx
  vtkMultiBlockDataGroupFilter.cxx
  vtkMultiBlockMergeFilter.cxx
  vtkMultiThreshold.cxx
  vtkOBBDicer.cxx
  vtkOBBTree.cxx
  vtkPassThrough.cxx
  vtkPolyDataStreamer.cxx
  vtkPolyDataToReebGraphFilter.cxx
  vtkProbePolyhedron.cxx
  vtkQuadraturePointInterpolator.cxx
  vtkQuadraturePointsGenerator.cxx
  vtkQuadratureSchemeDictionaryGenerator.cxx
  vtkQuantizePolyDataPoints.cxx
  vtkRandomAttributeGenerator.cxx
  vtkRectilinearGridClip.cxx
  vtkRectilinearGridToTetrahedra.cxx
  vtkRecursiveDividingCubes.cxx
  vtkReflectionFilter.cxx
  vtkRotationFilter.cxx
  vtkShrinkFilter.cxx
  vtkShrinkPolyData.cxx
  vtkSpatialRepresentationFilter.cxx
  vtkSplineFilter.cxx
  vtkSplitField.cxx
  vtkStructuredGridClip.cxx
  vtkSubPixelPositionEdgels.cxx
  vtkTableBasedClipDataSet.cxx
  vtkTableToPolyData.cxx
  vtkTableToStructuredGrid.cxx
  vtkTemporalPathLineFilter.cxx
  vtkTemporalStatistics.cxx
  vtkTessellatorFilter.cxx
  vtkTimeSourceExample.cxx
  vtkTransformFilter.cxx
  vtkTransformPolyDataFilter.cxx
  vtkUncertaintyTubeFilter.cxx
  vtkVertexGlyphFilter.cxx
  vtkVolumeContourSpectrumFilter.cxx
  vtkVoxelContoursToSurfaceFilter.cxx
  vtkWarpLens.cxx
  vtkWarpScalar.cxx
  vtkWarpTo.cxx
  vtkWarpVector.cxx
  vtkYoungsMaterialInterface.cxx

  vtkMarchingContourFilter.cxx

  # Move to FiltersGeometry
  #vtkDataSetSurfaceFilter.cxx # Needs vtkStructuredGridGeometryFilter - Geometry

  vtkRectilinearGridToPointSet.cxx
  vtkGraphWeightEuclideanDistanceFilter.cxx
  vtkGraphWeightFilter.cxx
  vtkImageDataToPointSet.cxx
  vtkIntersectionPolyDataFilter.cxx
  vtkBooleanOperationPolyDataFilter.cxx
  vtkDistancePolyDataFilter.cxx

  vtkOverlappingAMRLevelIdScalars.cxx
  vtkExtractArray.cxx

  vtkMatricizeArray.cxx
  vtkNormalizeMatrixVectors.cxx
  vtkPassArrays.cxx
  vtkSplitColumnComponents.cxx
  vtkCellTreeLocator.cxx
  )

set_source_files_properties(
  vtkApproximatingSubdivisionFilter
  vtkDicer
  vtkGraphWeightFilter
  vtkInterpolatingSubdivisionFilter
  ABSTRACT
  )

vtk_module_library(vtkFiltersGeneral ${Module_SRCS})

=== Filters/Matlab/CMakeLists.txt ===
find_package(MatlabMex REQUIRED)
include(UseMatlabMex)

set(Module_SRCS
  vtkMatlabEngineFilter.cxx
  vtkMatlabEngineInterface.cxx
  vtkMatlabMexAdapter.cxx
  )

vtk_module_library(vtkFiltersMatlab ${Module_SRCS})
target_link_libraries(vtkFiltersMatlab LINK_PRIVATE ${MEX_LIBRARIES} ${MATLAB_ENGINE_LIBRARIES})

=== debian/changelog ===
vtk6 (6.3.0+dfsg2-8.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix empty libvtk6-qt package by populating it correctly. (Closes: #987462)

 -- Romain Porte <debian@microjoe.org>  Sat, 24 Apr 2021 23:09:44 +0200

vtk6 (6.3.0+dfsg2-8) unstable; urgency=medium

  * Team upload
  * debian/patches/581d9eb874b2b80a3fb21c739a96fa6f955ffb5e.patch:
    - another upstream cherry-pick for new freetype build failure
  * debian/patches/new-freetype.patch
    - do the same for another reference

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 22:53:54 +0100

vtk6 (6.3.0+dfsg2-7) unstable; urgency=medium

  [ Gert Wollny ]
  * d/*: remove support for QT, no reverse deps, Closes: #975135
  * d/control: Update standards, no changes

  [ Gianfranco Costamagna ]
  * Team upload
  * debian/patches/3edc0de2b04ae1e100c229e592d6b9fa94f2915a.patch:
    - cherry-pick and rebase upstream build fix for new freetype (Closes:
      #976977)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 11 Dec 2020 20:12:37 +0100

vtk6 (6.3.0+dfsg2-6) unstable; urgency=medium

  [ Gert Wollny ]
  * d/control: Update standards, no changes
  * [0130779] d/copyright: remove duplicates

  [ Anton Gladky ]
  * [b1230ea] Fix FTBFS due to QT. (Closes: #976424, #975135)
  * [1485015] Ignore quilt dir
  * [f77d52e] Update watch file format version to 4.
  * [078cd76] Update renamed lintian tag names in lintian overrides.
  * [63df1a5] Set upstream metadata fields: Repository, Repository-Browse.
  * [49cba68] Add .gitlab-ci.yml

 -- Anton Gladky <gladk@debian.org>  Sat, 05 Dec 2020 20:10:02 +0100

vtk6 (6.3.0+dfsg2-5) unstable; urgency=medium

  * Upload to unstable

 -- Gert Wollny <gewo@debian.org>  Mon, 09 Dec 2019 21:46:46 +0100

vtk6 (6.3.0+dfsg2-5~exp1) experimental; urgency=medium

  * d/control: Disable Python modules

 -- Gert Wollny <gewo@debian.org>  Tue, 03 Dec 2019 17:40:49 +0100

vtk6 (6.3.0+dfsg2-4) unstable; urgency=medium

  * [31d14a1] Drop python-vtk6 package due to py2 removal. (Closes: #938804)
  * [eb5d4a3] Set compat-level 12
  * [8263228] Set standards-version to 4.4.1
  * [c3f906a] Set upstream metadata fields: Repository.
  * [afc9b7a] Drop unnecessary dh arguments: --parallel

 -- Anton Gladky <gladk@debian.org>  Tue, 08 Oct 2019 20:17:20 +0200

vtk6 (6.3.0+dfsg2-3) unstable; urgency=medium

  * [4c49dfd] Minor update of the d-files
  * [87e4e47] Trim trailing whitespace.
  * [18f3cdc] Use secure URI in Homepage field.
  * Upload into unstable

 -- Anton Gladky <gladk@debian.org>  Sun, 01 Sep 2019 22:34:59 +0200

vtk6 (6.3.0+dfsg2-3~exp1) experimental; urgency=medium

  * d/: remove packages for java, tcl, doc, and examples
  * d/rules: Disable system Proj support, not compatible with proj6,
    Closes: #931943 Thanks: Bas Couwenberg

 -- Gert Wollny <gewo@debian.org>  Sun, 04 Aug 2019 17:18:07 +0200

vtk6 (6.3.0+dfsg2-2) unstable; urgency=medium

  * [20d58f6] d/rules: Set java src/trgt version Closes: #893789

 -- Gert Wollny <gewo@debian.org>  Fri, 23 Mar 2018 22:34:02 +0100

vtk6 (6.3.0+dfsg2-1) unstable; urgency=medium

  * d/copyright: update and remove some more files
  * d/watch update to old listing
  * repackage to remove some files with invalid copyright
  * d/source/lintian-override: override python3 warning

 -- Gert Wollny <gewo@debian.org>  Sat, 03 Mar 2018 23:58:09 +0100

=== debian/control ===
Source: vtk6
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Anton Gladky <gladk@debian.org>,
           Gert Wollny <gewo@debian.org>
Section: graphics
Priority: optional
Build-Depends: chrpath,
               cmake (>= 3.2.0),
               debhelper-compat (= 12),
               default-libmysqlclient-dev,
               hdf5-tools,
               libalglib-dev,
               libavcodec-dev,
               libavformat-dev,
               libavutil-dev,
               libboost-all-dev,
               libdigest-md5-perl,
               libexpat-dev,
               libfreetype6-dev,
               libfontconfig1-dev,
               libgdal-dev,
               libgl1-mesa-dev | libgl-dev,
               libgl2ps-dev,
               libglew-dev,
               libglu1-mesa-dev | libglu-dev,
               libhdf5-mpi-dev,
               libjpeg-dev,
               libjsoncpp-dev,
               libmrmpi-dev,
               libnetcdf-dev,
               libnetcdf-cxx-legacy-dev,
               libogg-dev,
               libosmesa6-dev,
               libpng-dev,
               libpq-dev,
               libqt5opengl5-dev,
               libqt5webkit5-dev,
               libsqlite3-dev,
               libswscale-dev,
               libtheora-dev,
               libtiff-dev,
               libutfcpp-dev,
               libx11-dev,
               libxml2-dev,
               libxpm-dev,
               libxt-dev,
               mpi-default-dev,
               pkg-config,
               qtbase5-dev,
               qttools5-private-dev,
               r-base,
               r-base-core,
               r-base-dev,
               x11proto-core-dev,
               xauth,
               xvfb,
               zlib1g-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/science-team/vtk6
Vcs-Git: https://salsa.debian.org/science-team/vtk6.git
Homepage: https://www.vtk.org/

Package: libvtk6-dev
Architecture: any
Section: libdevel
Depends: default-libmysqlclient-dev,
         libavcodec-dev,
         libavformat-dev,
         libavutil-dev,
         libc6-dev,
         libeigen3-dev,
         libexpat-dev,
         libfreetype6-dev,
         libgdal-dev,
         libgl1-mesa-dev | libgl-dev,
         libgl2ps-dev,
         libglu1-mesa-dev | libglu-dev,
         libhdf5-mpi-dev,
         libjpeg-dev,
         libjsoncpp-dev,
         libnetcdf-dev,
         libnetcdf-cxx-legacy-dev,
         libogg-dev,
         libpng-dev,
         libpq-dev,
         libswscale-dev,
         libtheora-dev,
         libtiff-dev,
         libvtk6.3 (= ${binary:Version}),
         libx11-dev,
         libxft-dev,
         libxml2-dev,
         libxss-dev,
         libxt-dev,
         mpi-default-dev,
         x11proto-core-dev,
         zlib1g-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Conflicts: libvtk5-dev
Replaces: libvtk5-dev
Description: VTK header files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation.

Package: libvtk6-qt-dev
Architecture: any
Section: libdevel
Depends: libvtk6-dev (= ${binary:Version}),
         libvtk6.3-qt (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
         qtbase5-dev,
         qttools5-private-dev,
         libqt5opengl5-dev,
         libqt5webkit5-dev
Breaks: libvtk6-dev (<< 6.3.0+dfsg1)
Replaces: libvtk6-dev (<< 6.3.0+dfsg1)
Description: VTK header files, containing Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the VTK header files required to compile
 C++ programs that use VTK to do 3D visualisation. Qt files

Package: libvtk6.3
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Suggests: mpi-default-bin
Conflicts: libvtk6 (>> 6.0.0-7)
Replaces: libvtk5.8,
          libvtk6
Description: VTK libraries
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK.

Package: libvtk6.3-qt
Architecture: any
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Breaks: libvtk6.2 (<< 6.2.0+dfsg1-1)
Replaces: libvtk6.2 (<< 6.2.0+dfsg1-1)
Description: VTK libraries, Qt files
 The Visualization Toolkit (VTK) is an open-source software system
 for 3D computer graphics, image processing, and visualization.
 .
 This package provides the shared libraries needed to run C++ programs
 that use VTK. Qt files

=== debian/rules ===
#!/usr/bin/make -f
BUILDDIR = $(CURDIR)/debian/build

export DEB_CPPFLAGS_MAINT_APPEND=-DVTK_USE_BOOST

%:
	dh $@ --buildsystem=cmake --builddirectory=$(BUILDDIR)

extra_flags +=  \
  -DCMAKE_VERBOSE_MAKEFILE=ON \
	-DCMAKE_C_COMPILER=mpicc \
	-DCMAKE_CXX_COMPILER=mpic++ \
	-DBUILD_DOCUMENTATION=OFF \
	-DBUILD_SHARED_LIBS=ON \
	-DBUILD_TESTING=OFF \
	-DVTK_USE_TK=OFF \
	-DVTK_WRAP_JAVA=OFF \
	-DVTK_WRAP_PYTHON=OFF \
	-DVTK_WRAP_TCL=OFF \
	-DVTK_USE_SYSTEM_EXPAT=ON \
	-DVTK_USE_SYSTEM_FREETYPE=ON \
	-DVTK_USE_SYSTEM_GL2PS=ON \
	-DVTK_USE_SYSTEM_HDF5=ON \
	-DHDF5_PREFER_PARALLEL=ON \
	-DVTK_USE_SYSTEM_JPEG=ON \
	-DVTK_USE_SYSTEM_LIBPROJ4=OFF \
	-DVTK_USE_SYSTEM_LIBXML2=ON \
	-DVTK_USE_SYSTEM_OGGTHEORA=ON \
	-DVTK_USE_SYSTEM_PNG=ON \
	-DVTK_USE_SYSTEM_TIFF=ON \
	-DVTK_USE_SYSTEM_ZLIB=ON \
	-DVTK_USE_SYSTEM_JSONCPP=ON \
	-DVTK_USE_SYSTEM_NETCDF=ON \
	-DVTK_USE_SYSTEM_GLEW=ON \
	-DVTK_EXTRA_COMPILER_WARNINGS=ON \
	-DVTK_Group_Imaging=ON \
	-DVTK_Group_MPI=ON \
	-DVTK_Group_Tk=ON \
	-DVTK_Group_Views=ON \
	-DMPI_CXX_INCLUDE_PATH="/usr/include/mpi" \
	-DVTK_INSTALL_LIBRARY_DIR="/usr/lib/$(DEB_HOST_MULTIARCH)" \
	-DVTK_MAKE_INSTANTIATORS=ON \
	-DCMAKE_EXE_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_MODULE_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_SHARED_LINKER_FLAGS="-Wl,--as-needed" \
	-DCMAKE_BUILD_TYPE=None \
	-DVTK_USE_GCC_VISIBILITY=ON \
	-DModule_vtkRenderingExternal=ON \
	-DModule_vtkPython=OFF \
	-DModule_vtkPythonInterpreter=OFF

extra_flags += -DVTK_QT_VERSION=5	-DVTK_Group_Qt=ON

override_dh_auto_configure:
ifneq (,$(filter $(DEB_HOST_ARCH),$(noqt_archs)))
	echo '' > $(CURDIR)/Views/Qt/module.cmake
	echo '' > $(CURDIR)/GUISupport/QtWebkit/module.cmake
	echo '' > $(CURDIR)/Rendering/Qt/module.cmake
	echo '' > $(CURDIR)/GUISupport/QtOpenGL/module.cmake
endif
	dh_auto_configure -- $(extra_flags)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf $(BUILDDIR)

override_dh_auto_install:
	pwd
	dh_auto_install -X.pyc -X.pyo
	# Correct headers for paraview
	sed -i -e "s/FATAL_ERROR/STATUS/g" $(CURDIR)/debian/tmp/usr/lib/cmake/vtk-6.3/VTKTargets.cmake

override_dh_install-arch:
	dh_install -a
	find $(CURDIR)/debian/libvtk6-dev/ -name "*Qt*" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6.3/ -name "*Qt*" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6-dev/ -name "libvtkRenderingPythonTkWidgets.so" -exec rm {} \;
	find $(CURDIR)/debian/libvtk6-dev/usr/include/ -name "Q*" -exec rm {} \;

=== debian/watch ===
version=4
opts=repacksuffix=+dfsg2,uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha|b|a)\d*)$/$1~$2/,dversionmangle=s/\+(debian|dfsg|ds|deb)\d*$// https://github.com/Kitware/VTK/releases?after=v7.0.0 .*/v?(6\.\d\S*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
